Download it now!
Bug 90857 - Changing a shape's anchor not registered with undo toolbar button
Summary: Changing a shape's anchor not registered with undo toolbar button
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2015-04-25 04:53 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-03 14:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample doc (9.59 KB, application/vnd.oasis.opendocument.text)
2015-04-25 04:53 UTC, Yousuf Philips (jay) (retired)
Details
screencast (1.44 MB, video/ogg)
2015-04-30 14:21 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-25 04:53:01 UTC
Created attachment 115084 [details]
sample doc

Steps:
1) Open attached doc
2) Select shape
3) Change anchor to page
4) Undo button doesnt become active

The action is registered in Edit > Undo as well as making the Save button active.

Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-22_00:50:58
Comment 1 A (Andy) 2015-04-25 06:51:40 UTC
For me not reproducible with LO 4.4.2.2, Win 8.1
Comment 2 raal 2015-04-25 10:54:04 UTC
Works for me with Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-22_01:28:24
Comment 3 Yousuf Philips (jay) (retired) 2015-04-25 13:51:13 UTC
My initial test was on Linux Mint 13 and i reproduced it on Linux Mint 17 XFCE, Linux Mint 17 Cinnamon, Xubuntu 14.04 and Windows 7. After changing the shape's anchor, if i then click within the document to deselect the shape, then the toolbar undo button will become active.
Comment 4 Joel Madero 2015-04-27 06:40:42 UTC
Not reproducible

Ubuntu 15.04
LibreOffice 4.4.2.2 release

Followed steps exactly and undo button in toolbar is activated.
Comment 5 Buovjaga 2015-04-28 10:36:28 UTC
Not reproduced.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f0edb677f09ad338e22ac3b5d91497b4479e0b3c
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-27_01:54:20
Locale: fi_FI
Comment 6 Yousuf Philips (jay) (retired) 2015-04-30 14:21:49 UTC
Created attachment 115220 [details]
screencast

Screencast done on Linux Mint 17 with master.

Version: 5.0.0.0.alpha1+
Build ID: ec7f227f90fbdd0bd17c0b885a832e6408106deb
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-28_12:54:35
Comment 7 raal 2015-04-30 14:42:22 UTC
I can reproduce with Version: 5.0.0.0.alpha1+
Build ID: 59adad74084e9281887e3f78a225794f37b784d7
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-29_12:40:39


works OK if you change anchor via right click-> anchor
Comment 8 QA Administrators 2016-09-20 09:37:05 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:37:12 UTC
Dear Yousuf Philips (jay),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug